IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PAY_INTERFACE') 
 CREATE TABLE T_AQAP_PAY_INTERFACE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FBANK_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLIMIT_NUM BIGINT DEFAULT 0 NOT NULL,
FDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCLASS_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_AQAP_PAY_INTERFACE', 'T_AQAP_PAY_INTERFACE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CLUSTER_PAY_INTERFACE') CREATE  CLUSTERED INDEX IDX_CLUSTER_PAY_INTERFACE ON T_AQAP_PAY_INTERFACE ( FNUMBER );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PAY_INTERFACE_L') 
 CREATE TABLE T_AQAP_PAY_INTERFACE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_AQAP_PAY_INTERFACE_L', 'T_AQAP_PAY_INTERFACE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_PAY_INTERFACE_L_0') CREATE INDEX IDX_AQAP_PAY_INTERFACE_L_0 ON T_AQAP_PAY_INTERFACE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CLUSTER_PAY_INTERFACE_L') CREATE  CLUSTERED INDEX IDX_CLUSTER_PAY_INTERFACE_L ON T_AQAP_PAY_INTERFACE_L ( FNAME );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PAY_RULE') 
 CREATE TABLE T_AQAP_PAY_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(255) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_AQAP_PAY_RULE', 'T_AQAP_PAY_RULE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_PAY_RULE_FK') CREATE INDEX IDX_AQAP_PAY_RULE_FK ON T_AQAP_PAY_RULE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CLUSTER_PAY_RULE') CREATE  CLUSTERED INDEX IDX_CLUSTER_PAY_RULE ON T_AQAP_PAY_RULE ( FKEY );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PAY_RULE_CONFIG') 
 CREATE TABLE T_AQAP_PAY_RULE_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBD_INTERFACE BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_AQAP_PAY_RULE_CONFIG', 'T_AQAP_PAY_RULE_CONFIG', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CLUSTER_PAY_RULE_CONFIG') CREATE  CLUSTERED INDEX IDX_CLUSTER_PAY_RULE_CONFIG ON T_AQAP_PAY_RULE_CONFIG ( FNUMBER );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PAY_RULE_CONFIG_L') 
 CREATE TABLE T_AQAP_PAY_RULE_CONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_AQAP_PAY_RULE_CONFIG_L', 'T_AQAP_PAY_RULE_CONFIG_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_PAY_RULE_CONFIG_L_0') CREATE INDEX IDX_AQAP_PAY_RULE_CONFIG_L_0 ON T_AQAP_PAY_RULE_CONFIG_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CLUSTER_PAY_RULE_CONFIG_L') CREATE  CLUSTERED INDEX IDX_CLUSTER_PAY_RULE_CONFIG_L ON T_AQAP_PAY_RULE_CONFIG_L ( FNAME );
