IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAIL_ARCHIVE')
CREATE TABLE T_AQAP_BD_DETAIL_ARCHIVE
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAVAILABLE_BALANCE DECIMAL(23,10) NULL,
	FBALANCE DECIMAL(23,10) NULL,
	FBANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(20) DEFAULT ' ' NOT NULL,
	FBIZ_REF_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBUS_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREDIT_AMOUNT DECIMAL(23,10) NULL,
	FDEBIT_AMOUNT DECIMAL(23,10) NULL,
	FEXPLANATION VARCHAR(1000) DEFAULT ' ' NOT NULL,
	FIMPL_CLASS_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FINSERT_TIME DATETIME NULL,
	KD_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FOPP_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPAY_DETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRECEIPT_NO VARCHAR(255) DEFAULT ' ' NOT NULL,
	FSERIAL_NO BIGINT NULL,
	FSORT_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANS_DATE DATETIME NULL,
	FTRANS_TIME DATETIME NULL,
	FTRANS_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FUNIQUE_SEQ VARCHAR(255) DEFAULT ' ' NOT NULL,
	FUPDATE_TIME DATETIME NULL,
	FUSE_CN VARCHAR(500) DEFAULT ' ' NOT NULL,
	FVOUH_NO VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED1 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED2 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREVERSED3 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED4 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED_BIZ_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
	FREVERSED_SYS_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
	FDETAIL_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANSFER_CHARGE DECIMAL(23,10) NULL,
	FKD_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FIS_KEY_REPEAT varchar(50)   default ' ' not null,
    FMATCH_NODE varchar(50)   default ' ' not null,
    FBANK_DETAIL_NO varchar(128)  default ' ' not null,
    FIS_CONFIRM varchar(50)   default ' ' not null
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAIL_ARCHIVE_L')
CREATE TABLE T_AQAP_BD_DETAIL_ARCHIVE_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAIL_ARCHIVE_R3')
CREATE TABLE T_AQAP_BD_DETAIL_ARCHIVE_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BD_DETAIL_AC_0') 
CREATE INDEX IDX_AQAP_BD_DETAIL_AC_0 ON T_AQAP_BD_DETAIL_ARCHIVE (FACC_NO, FTRANS_DATE);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_BD_DETAIL_ARCHIVE_L_0') 
CREATE INDEX IDX_AQAP_BD_DETAIL_ARCHIVE_L_0 ON T_AQAP_BD_DETAIL_ARCHIVE_L (FID, FLOCALEID);
