IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK') 
CREATE TABLE T_AQAP_BANK
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_L') 
CREATE TABLE T_AQAP_BANK_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_R3') 
CREATE TABLE T_AQAP_BANK_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LIST') 
CREATE TABLE T_AQAP_BANK_LIST
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LIST_L') 
CREATE TABLE T_AQAP_BANK_LIST_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LIST_R3') 
CREATE TABLE T_AQAP_BANK_LIST_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LOGIN') 
CREATE TABLE T_AQAP_BANK_LOGIN
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANKVERSION BIGINT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	CONSTRAINT IDX_AQAP_BL_FNUMBER
		UNIQUE (FNUMBER)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LOGIN_L') 
CREATE TABLE T_AQAP_BANK_LOGIN_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LOGIN_R3') 
CREATE TABLE T_AQAP_BANK_LOGIN_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LOGIN_CONFIG') 
CREATE TABLE T_AQAP_BANK_LOGIN_CONFIG
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_CONFIG_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_CONFIG_VALUE VARCHAR(200) DEFAULT ' ' NOT NULL,
	FNULLABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREADONLY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCONFIG_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LOGIN_CONFIG_L') 
CREATE TABLE T_AQAP_BANK_LOGIN_CONFIG_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_LOGIN_CONFIG_R3') 
CREATE TABLE T_AQAP_BANK_LOGIN_CONFIG_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_CURRENCY') 
CREATE TABLE T_AQAP_BANK_CURRENCY
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_VERSION BIGINT NULL,
	FISO BIGINT NULL,
	FBANK_CURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_CURRENCY_L') 
CREATE TABLE T_AQAP_BANK_CURRENCY_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_CURRENCY_R3') 
CREATE TABLE T_AQAP_BANK_CURRENCY_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_ISO_CURRENCY') 
CREATE TABLE T_AQAP_ISO_CURRENCY
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_ISO_CURRENCY_L') 
CREATE TABLE T_AQAP_ISO_CURRENCY_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_ISO_CURRENCY_R3') 
CREATE TABLE T_AQAP_ISO_CURRENCY_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_ACNT') 
CREATE TABLE T_AQAP_BANK_ACNT
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FGROUPID BIGINT NULL,
	FBANK_LOGIN BIGINT NULL,
	FADDR VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCURRENCY BIGINT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_ADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_SHORT_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCOUNTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROVINCE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCITY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FISO_CURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBALANCE DECIMAL(23,10) NULL,
	FAVAILABLE_BALANCE DECIMAL(23,10) NULL,
	FSEL_BAL_TIME DATETIME NULL,
	FHAS_RECEIPT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACNT_HAS_RECEIPT VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_ACNT_L') 
CREATE TABLE T_AQAP_BANK_ACNT_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_ACNT_R3') 
CREATE TABLE T_AQAP_BANK_ACNT_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_AUTH') 
CREATE TABLE T_AQAP_AUTH
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FCERT_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FORGANIZATION VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPUBLIC_KEY VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPUBLIC_KEY_TAG NCLOB NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXPIRE_TIME DATETIME NULL,
	FIS_ALERT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALERT_DAY BIGINT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_AUTH_L') 
CREATE TABLE T_AQAP_AUTH_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_AUTH_R3') 
CREATE TABLE T_AQAP_AUTH_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_USER_CERT')
CREATE TABLE T_AQAP_USER_CERT
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_CONFIG_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_CONFIG_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_CONFIG_VALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_CONFIG_VALUE_TAG NCLOB NULL,
	FACNT_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFILE_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_USER_CERT_L')
CREATE TABLE T_AQAP_USER_CERT_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_USER_CERT_R3')
CREATE TABLE T_AQAP_USER_CERT_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_CERT')
CREATE TABLE T_AQAP_BD_CERT
(
    FID BIGINT NOT NULL PRIMARY KEY,
    FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
    FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT NULL,
    FMODIFIERID BIGINT NULL,
    FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME NULL,
    FMODIFYTIME DATETIME NULL,
    FMASTERID BIGINT NULL,
    FBANK_CONFIG_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_CONFIG_VALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
    FBANK_CONFIG_VALUE_TAG NCLOB NULL,
    FBANK_CONFIG_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
    FACNT_NO VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFILE_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
    FEXPIRE_TIME DATETIME NULL,
    FALERT_DAY BIGINT NULL,
    FCERT_PASSWORD VARCHAR(50) DEFAULT ' ' NOT NULL,
    FORGANIZATION VARCHAR(50) DEFAULT ' ' NOT NULL,
    FTYPE VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FIS_ALERT VARCHAR(50)  DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_CERT_L')
CREATE TABLE T_AQAP_BD_CERT_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_CERT_R3')
CREATE TABLE T_AQAP_BD_CERT_R3
(
    FID BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PLATFORM_CERT_PAGE')
CREATE TABLE T_AQAP_PLATFORM_CERT_PAGE
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FPRIVATE_KEY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRIVATE_KEY_SECRET VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPUBLIC_KEY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FK_EBC_TEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION BIGINT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PLATFORM_CERT_PAGE_L')
CREATE TABLE T_AQAP_PLATFORM_CERT_PAGE_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PLATFORM_CERT_PAGE_R3')
CREATE TABLE T_AQAP_PLATFORM_CERT_PAGE_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PLATFORM_CERT')
CREATE TABLE T_AQAP_PLATFORM_CERT
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_CONFIG_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_CONFIG_VALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_CONFIG_VALUE_TAG NCLOB NULL,
	FBANK_CONFIG_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACNT_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFILE_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXPIRE_TIME DATETIME NULL,
	FIS_ALERT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FALERT_DAY BIGINT NULL,
	FCERT_PASSWORD VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PLATFORM_CERT_L')
CREATE TABLE T_AQAP_PLATFORM_CERT_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PLATFORM_CERT_R3')
CREATE TABLE T_AQAP_PLATFORM_CERT_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PROXY_BANK_LOGIN')
CREATE TABLE T_AQAP_PROXY_BANK_LOGIN
(
	FID BIGINT NOT NULL PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINSERT_TIME DATETIME NULL,
	FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION VARCHAR(50) DEFAULT ' ' NOT NULL

);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PROXY_BANK_LOGIN_L')
CREATE TABLE T_AQAP_PROXY_BANK_LOGIN_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PROXY_BANK_LOGIN_R3')
CREATE TABLE T_AQAP_PROXY_BANK_LOGIN_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PROXY_CONFIG')
CREATE TABLE T_AQAP_PROXY_CONFIG
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPUBLIC_KEY VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPUBLIC_KEY_TAG NCLOB NULL,
	FPUBLIC_KEY_ALIAS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRIVATE_KEY VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPRIVATE_KEY_TAG NCLOB NULL,
	FPRIVATE_KEY_ALIAS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPUBLIC_KEY_SECRET VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRIVATE_KEY_SECRET VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROXY_HOST VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROXY_PORT BIGINT NULL,
	FPROXY_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRSA_SIGN_ALGO VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PROXY_CONFIG_L')
CREATE TABLE T_AQAP_PROXY_CONFIG_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_PROXY_CONFIG_R3')
CREATE TABLE T_AQAP_PROXY_CONFIG_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_BUSINESS')
CREATE TABLE T_AQAP_BANK_BUSINESS
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FGROUPID BIGINT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_BUSINESS_L')
CREATE TABLE T_AQAP_BANK_BUSINESS_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_BUSINESS_R3')
CREATE TABLE T_AQAP_BANK_BUSINESS_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_OBJECT_PROPERTIES')
CREATE TABLE T_AQAP_OBJECT_PROPERTIES
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FATTR_KEY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FATTR_VALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FATTR_DESC VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOBJECT_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOBJECT_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_OBJECT_PROPERTIES_L')
CREATE TABLE T_AQAP_OBJECT_PROPERTIES_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_OBJECT_PROPERTIES_R3')
CREATE TABLE T_AQAP_OBJECT_PROPERTIES_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_BIZ_SYS')
CREATE TABLE T_AQAP_BD_BIZ_SYS
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_BIZ_SYS_L')
CREATE TABLE T_AQAP_BD_BIZ_SYS_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_BIZ_SYS_R3')
CREATE TABLE T_AQAP_BD_BIZ_SYS_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BL_TENANT')
CREATE TABLE T_AQAP_BL_TENANT
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FAUDITORID BIGINT NULL,
	FAUDITDATE DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FCREATETIME DATETIME NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBIZ_SYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBD_BIZ_SYS BIGINT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_INSTANCE_REG')
CREATE TABLE T_AQAP_INSTANCE_REG
(
	FID BIGINT NOT NULL,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FCLUSTER_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAPP_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCONFIG_APP_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINSTANCE_NAME VARCHAR(100) DEFAULT ' ' NOT NULL,
	FIP_ADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FWEB_PORT BIGINT NULL,
	FMONITOR_PORT BIGINT NULL,
	FSTART_TIME DATETIME NULL,
	FVALID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FNODE_PATH VARCHAR(500) DEFAULT ' ' NOT NULL,
	FHOST_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_INSTANCE_REG_L')
CREATE TABLE T_AQAP_INSTANCE_REG_L
(
	FPKID VARCHAR(36) NOT NULL,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_INSTANCE_REG_R3')
CREATE TABLE T_AQAP_INSTANCE_REG_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_DETAIL')
CREATE TABLE T_AQAP_BANK_DETAIL
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_VERSION BIGINT NULL,
	FBANK_ACNT BIGINT NULL,
	FTRANS_DATE DATETIME NULL,
	FDETAIL_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDEBIT_AMOUNT DECIMAL(23,10) NULL,
	FCREDIT_AMOUNT DECIMAL(23,10) NULL,
	FOPP_ACCNO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_ACCNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_BANKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXPLANATION VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBALANCE DECIMAL(23,10) NULL,
	FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_DETAIL_L')
CREATE TABLE T_AQAP_BANK_DETAIL_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BANK_DETAIL_R3')
CREATE TABLE T_AQAP_BANK_DETAIL_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_DETAIL_SYNC_RECORD')
CREATE TABLE T_AQAP_DETAIL_SYNC_RECORD
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FAUDITORID BIGINT NULL,
	FAUDITDATE DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FCREATETIME DATETIME NULL,
	FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDETAIL_COUNT BIGINT NULL,
	FSYNC_DATE DATETIME NULL,
	FCURRENCY VARCHAR(50) DEFAULT 'CNY' NOT NULL,
	CONSTRAINT IDX_AQAP_DETAIL_SR1 UNIQUE (FACC_NO, FSYNC_DATE, FCURRENCY)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BUSINESS_LOG')
CREATE TABLE T_AQAP_BUSINESS_LOG
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBD_BIZ_NAME BIGINT NULL,
	FBIZ_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBIZ_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREQUEST_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FLOG_TIME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBD_BANK_VERSION BIGINT NULL,
	FDT_QUERY DATETIME NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BUSINESS_LOG_L')
CREATE TABLE T_AQAP_BUSINESS_LOG_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BUSINESS_LOG_R3')
CREATE TABLE T_AQAP_BUSINESS_LOG_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BUSINESS_TYPE')
CREATE TABLE T_AQAP_BUSINESS_TYPE
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BUSINESS_TYPE_L')
CREATE TABLE T_AQAP_BUSINESS_TYPE_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BUSINESS_TYPE_R3')
CREATE TABLE T_AQAP_BUSINESS_TYPE_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAILINFO')
CREATE TABLE T_AQAP_BD_DETAILINFO
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT '1' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAVAILABLE_BALANCE DECIMAL(23,10) NULL,
	FBALANCE DECIMAL(23,10) NULL,
	FBANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(20) DEFAULT ' ' NOT NULL,
	FBIZ_REF_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBUS_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREDIT_AMOUNT DECIMAL(23,10) NULL,
	FDEBIT_AMOUNT DECIMAL(23,10) NULL,
	FEXPLANATION VARCHAR(1000) DEFAULT ' ' NOT NULL,
	FIMPL_CLASS_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FINSERT_TIME DATETIME NULL,
	KD_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FOPP_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPAY_DETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRECEIPT_NO VARCHAR(255) DEFAULT ' ' NOT NULL,
	FSERIAL_NO BIGINT NULL,
	FSORT_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANS_DATE DATETIME NULL,
	FTRANS_TIME DATETIME NULL,
	FTRANS_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FUNIQUE_SEQ VARCHAR(255) DEFAULT ' ' NOT NULL,
	FUPDATE_TIME DATETIME NULL,
	FUSE_CN VARCHAR(500) DEFAULT ' ' NOT NULL,
	FVOUH_NO VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED1 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED2 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREVERSED3 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED4 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED_BIZ_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
	FREVERSED_SYS_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
	FDETAIL_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANSFER_CHARGE DECIMAL(23,10) NULL,
	FKD_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAILINFO_L')
CREATE TABLE T_AQAP_BD_DETAILINFO_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAILINFO_R3')
CREATE TABLE T_AQAP_BD_DETAILINFO_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAILINFO_ARCHIVE')
CREATE TABLE T_AQAP_BD_DETAILINFO_ARCHIVE
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAGENT_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAVAILABLE_BALANCE DECIMAL(23,10) NULL,
	FBALANCE DECIMAL(23,10) NULL,
	FBANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(20) DEFAULT ' ' NOT NULL,
	FBIZ_REF_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBUS_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREDIT_AMOUNT DECIMAL(23,10) NULL,
	FDEBIT_AMOUNT DECIMAL(23,10) NULL,
	FEXPLANATION VARCHAR(1000) DEFAULT ' ' NOT NULL,
	FIMPL_CLASS_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FINSERT_TIME DATETIME NULL,
	KD_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FOPP_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOPP_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPAY_DETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRECEIPT_NO VARCHAR(255) DEFAULT ' ' NOT NULL,
	FSERIAL_NO BIGINT NULL,
	FSORT_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANS_DATE DATETIME NULL,
	FTRANS_TIME DATETIME NULL,
	FTRANS_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FUNIQUE_SEQ VARCHAR(255) DEFAULT ' ' NOT NULL,
	FUPDATE_TIME DATETIME NULL,
	FUSE_CN VARCHAR(500) DEFAULT ' ' NOT NULL,
	FVOUH_NO VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED1 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED2 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREVERSED3 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED4 VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED_BIZ_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
	FREVERSED_SYS_FIELD VARCHAR(600) DEFAULT ' ' NOT NULL,
	FDETAIL_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANSFER_CHARGE DECIMAL(23,10) NULL,
	FKD_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_DETAILINFO_ARCHIVE_L')
CREATE TABLE T_AQAP_BD_DETAILINFO_ARCHIVE_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_DETAILINFO_ARCHIVE_R3')
CREATE TABLE T_AQAP_DETAILINFO_ARCHIVE_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAY_ROUTE')	
CREATE TABLE T_AQAP_BD_PAY_ROUTE
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FNODE_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPARENT_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FNODE_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FNODE_DATA VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
	FNODE_LEVEL BIGINT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAY_ROUTE_L')
CREATE TABLE T_AQAP_BD_PAY_ROUTE_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAY_ROUTE_R3')
CREATE TABLE T_AQAP_BD_PAY_ROUTE_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_HASH')
CREATE TABLE T_AQAP_BD_PAYMENT_HASH
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FBANK_DETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDATA_HASH VARCHAR(255) DEFAULT ' ' NOT NULL,
	FDETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATE_TIME DATETIME NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	CONSTRAINT IDX_AQAP_PAYHASH_DETAIL_SEQ
        UNIQUE (FBANK_DETAIL_SEQ_ID)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_HASH_L')
CREATE TABLE T_AQAP_BD_PAYMENT_HASH_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_HASH_R3')
CREATE TABLE T_AQAP_BD_PAYMENT_HASH_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_RECORD')
CREATE TABLE T_AQAP_BD_PAYMENT_RECORD
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FCREATE_TIME DATETIME NULL,
	FUPDATE_COUNT BIGINT NULL,
	FUPDATE_TIME DATETIME NULL,
	FPAYMENT_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_RECORD_L')
CREATE TABLE T_AQAP_BD_PAYMENT_RECORD_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_RECORD_R3')
CREATE TABLE T_AQAP_BD_PAYMENT_RECORD_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_TRACK')
CREATE TABLE T_AQAP_BD_PAYMENT_TRACK
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FUPDATE_BATCH_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS_NAME VARCHAR(80) DEFAULT ' ' NOT NULL,
	FSTATUS_ID BIGINT NULL,
	FSTATUS_MSG VARCHAR(80) DEFAULT ' ' NOT NULL,
	FBANK_STATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
	FBANK_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FERROR_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FERROR_STACK VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_BATCH_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPACKAGE_TIME DATETIME NULL,
	FBANK_DETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_SERIAL_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBATCH_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTOTAL_COUNT BIGINT NULL,
	FTOTAL_AMOUNT DECIMAL(19,2) NULL,
	FUPDATE_TIME DATETIME NULL,
	FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_TRACK_L')
CREATE TABLE T_AQAP_BD_PAYMENT_TRACK_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENT_TRACK_R3')
CREATE TABLE T_AQAP_BD_PAYMENT_TRACK_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_LINKPAYMENTINFO')
CREATE TABLE T_AQAP_BD_LINKPAYMENTINFO
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_BATCH_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAMOUNT DECIMAL(23,10) NULL,
	FBANK_STATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
	FBANK_STATUS_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBATCH_BIZ_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBATCH_SEQ_ID VARCHAR(100) DEFAULT ' ' NOT NULL,
	FBIZ_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBOOKING_DATE DATETIME NULL,
	FCHILD_ACNT1 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCHILD_ACNT2 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCHILD_ACNT3 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCHILD_ACNT4 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCHILD_ACNT5 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCURRENCY VARCHAR(10) DEFAULT ' ' NOT NULL,
	FCREATE_TIME DATETIME NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDESC_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FDETAIL_BIZ_NO VARCHAR(100) DEFAULT ' ' NOT NULL,
	FDETAIL_SEQ_ID VARCHAR(100) DEFAULT ' ' NOT NULL,
	FEB_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEB_STATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEB_STATUS_MSG VARCHAR(500) DEFAULT ' ' NOT NULL,
	FEBG_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFEE_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFORCE_MANUAL VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINSERT_BATCH_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FMOBILE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPARENT_ACNT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPAYEE_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_AREA_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_BANK_ADDR VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPAYEE_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPAYEE_CITY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_CNAPS_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_COUNTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_PROVINCE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_SWIFT_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYEE_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSUB_BIZ_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FURGENT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTOTAL_AMOUNT DECIMAL(23,10) NULL,
	FTOTAL_COUNT BIGINT NULL,
	FUPDATE_TIME DATETIME NULL,
	FUSE_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FUSE_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FVERIFY_FIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
	FLINKPAY_TYPE VARCHAR(64) DEFAULT ' ' NOT NULL,
	FRESERVED1 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED2 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED3 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED4 VARCHAR(50) DEFAULT ' ' NOT NULL,
	CONSTRAINT IDX_AQAP_LINKPAY_DETAIL_SEQ UNIQUE (FDETAIL_SEQ_ID)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_LINKPAYMENTINFO_L')
CREATE TABLE T_AQAP_BD_LINKPAYMENTINFO_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_LINKPAYMENTINFO_R3')
CREATE TABLE T_AQAP_BD_LINKPAYMENTINFO_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENTINFO')
CREATE TABLE T_AQAP_BD_PAYMENTINFO
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FMASTERID BIGINT NULL,
	FCUSTOMID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FVERSION BIGINT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEBG_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBIZ_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSUB_BIZ_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FIMPL_CLASS_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FQUERY_IMPL_CLASS_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPACKAGE_KEY VARCHAR(1000) DEFAULT ' ' NOT NULL,
	FTOTAL_COUNT BIGINT NULL,
	FTOTAL_AMOUNT DECIMAL(23,10) NULL,
	FBATCH_SEQ_ID VARCHAR(100) DEFAULT ' ' NOT NULL,
	FDETAIL_SEQ_ID VARCHAR(100) DEFAULT ' ' NOT NULL,
	FDETAIL_BIZ_NO VARCHAR(100) DEFAULT ' ' NOT NULL,
	FINSERT_BATCH_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINSERT_TIME DATETIME NULL,
	FREQUEST_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREQUEST_TIME DATETIME NULL,
	FUPDATE_TIME DATETIME NULL,
	FUPDATE_BATCH_SEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FUPDATE_OPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
	FVERIFY_FIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
	FAMOUNT DECIMAL(23,10) NULL,
	FCURRENCY VARCHAR(10) DEFAULT ' ' NOT NULL,
	FUSE_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FUSE_CN VARCHAR(255) DEFAULT ' ' NOT NULL,
	FEXPLANATION VARCHAR(255) DEFAULT ' ' NOT NULL,
	FSAME_BANK VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSAME_CITY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FURGENT VARCHAR(50) DEFAULT ' ' NOT NULL,
	INDIVIDUAL VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFORCE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FMERGE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFEE_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBOOKING_TIME DATETIME NULL,
	FEMAILS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FMOBILES VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_ADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAREA_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_DEPT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_COUNTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_PROVINCE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_CITY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTHIRD_ACC_NO VARCHAR(255) DEFAULT ' ' NOT NULL,
	FTHIRD_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FTHIRD_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FTHIRD_BANK_ADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTHIRD_AREA_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTHIRD_ACC_DEPT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FINCOME_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FINCOME_BANK_ADDRESS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_AREA_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_ACC_DEPT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_SWIFT_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_CNAPS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_COUNTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_PROVINCE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINCOME_CITY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS_ID BIGINT NULL,
	FSTATUS_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS_MSG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_STATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
	FBANK_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FERROR_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FERROR_STACK VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBACK_STATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
	FBACK_STATUS_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBACK_BANK_STATUS VARCHAR(80) DEFAULT ' ' NOT NULL,
	FBACK_BANK_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBACK_ERROR_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBACK_ERROR_STACK VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPACKAGE_TIME DATETIME NULL,
	FBANK_BATCH_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_DETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_SERIAL_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FLAST_SUBMIT_TIME DATETIME NULL,
	FLAST_SUBMIT_REQUEST_REQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSUBMIT_COUNT BIGINT NULL,
	FSUBMIT_SUCCESS_TIME DATETIME NULL,
	FLAST_SYNC_TIME DATETIME NULL,
	FLAST_SYNC_REQUEST_REQ VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSYNC_COUNT BIGINT NULL,
	FPAY_FINISH_DATE DATETIME NULL,
	FTO_GIVE_UP VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYER_FEE_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYER_FEE_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAYER_FEE_CURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXCHANGE_RATE VARCHAR(10) DEFAULT ' ' NOT NULL,
	FACTUAL_AMOUNT DECIMAL(23,10) NULL,
	FPAYEE_BANK_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANSACTION_REMARKS VARCHAR(100) DEFAULT ' ' NOT NULL,
	FPROXY_ACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROXY_ACC_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPROXY_BANK_COUNTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROXY_BANK_AREA VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROXY_BANK_SWIFT_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROXY_BANK_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPROXY_BANK_ADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPROXY_FEE_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPROXY_FEE_CURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPAY_CURRENCY VARCHAR(10) DEFAULT ' ' NOT NULL,
	FEX_CONTRACT VARCHAR(200) DEFAULT ' ' NOT NULL,
	FBOCHK_MESSAGE_BANK VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBBC_CODE_WORDS VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBANK_REF_ID VARCHAR(255) DEFAULT ' ' NOT NULL,
	FTO_GROUND VARCHAR(50) DEFAULT ' ' NOT NULL,
	FISO_CURRENCY_CODE VARCHAR(255) DEFAULT ' ' NOT NULL,
	FISO_CURRENCY_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
	FK_EBC_TEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCLEARING_BRANCH_CODE VARCHAR(255) DEFAULT ' ' NOT NULL,
	FCLEARING_BRANCH_SUB_CODE VARCHAR(255) DEFAULT ' ' NOT NULL,
	FDELIVERY_METHOD VARCHAR(255) DEFAULT ' ' NOT NULL,
	FCHEQUE_TYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
	FPAYMENT_METHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSERVICE_LEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTRANS_UP VARCHAR(50) DEFAULT ' ' NOT NULL,
	FLINKPAY_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRELATIVE_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FLINKPAY_DETAIL_SEQ_ID VARCHAR(100) DEFAULT ' ' NOT NULL,
	CONSTRAINT IDX_AQAP_PAYMENT_DETAIL_SEQ UNIQUE (FDETAIL_SEQ_ID)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENTINFO_L')
CREATE TABLE T_AQAP_BD_PAYMENTINFO_L
(
	FPKID VARCHAR(36) NOT NULL
		PRIMARY KEY,
	FID BIGINT NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL,
	FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_PAYMENTINFO_R3')
CREATE TABLE T_AQAP_BD_PAYMENTINFO_R3
(
	FID BIGINT DEFAULT 0 NOT NULL
		PRIMARY KEY,
	FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_DETAIL_JSON')
CREATE TABLE T_AQAP_DETAIL_JSON
(
	FID BIGINT NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FAUDITORID BIGINT NULL,
	FAUDITDATE DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FCREATETIME DATETIME NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRECEIPT_DETAIL_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
	FJSON_TAG NCLOB NULL,
	FBANK_VERSION BIGINT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_QUERY_PAY')
CREATE TABLE T_AQAP_QUERY_PAY
(
    FID                BIGINT                  NOT NULL
        PRIMARY KEY,
    FNUMBER            VARCHAR(30) DEFAULT ' ' NOT NULL,
    FSTATUS            VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID         BIGINT                  NULL,
    FMODIFIERID        BIGINT                  NULL,
    FENABLE            VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME        DATETIME                NULL,
    FMODIFYTIME        DATETIME                NULL,
    FMASTERID          BIGINT                  NULL,
    FBANK_ACNT         BIGINT                  NULL,
    FBANK_VERSION      BIGINT                  NULL,
    FTRANS_DATE        DATETIME                NULL,
    FBATCH_SEQ         VARCHAR(50) DEFAULT ' ' NOT NULL,
    FACC_NO            VARCHAR(50) DEFAULT ' ' NOT NULL,
    FACC_NAME          VARCHAR(50) DEFAULT ' ' NOT NULL,
    FOPP_ACC_NO        VARCHAR(50) DEFAULT ' ' NOT NULL,
    FOPP_ACC_NAME      VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_NAME         VARCHAR(50) DEFAULT ' ' NOT NULL,
    FISO_CURRENCY_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSUBMIT_TIME       VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS_MSG        VARCHAR(50) DEFAULT ' ' NOT NULL,
    FAMOUNT            DECIMAL(23, 10)         NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_QUERY_PAY_L')
CREATE TABLE T_AQAP_QUERY_PAY_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_QUERY_PAY_R3')
CREATE TABLE T_AQAP_QUERY_PAY_R3
(
    FID        BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);


