IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_OVERSEA_BALANCE')
CREATE TABLE T_AQAP_OVERSEA_BALANCE
(
	FID bigint not null
		primary key,
	fnumber varchar(30) default ' ' not null,
	fname varchar(50) default ' ' null,
	fstatus varchar(50) default '  ' not null,
	fcustom_id varchar(50) default ' ' not null,
	fcreatorid bigint null,
	fmodifierid bigint null,
	fenable varchar(50) default '1' not null,
	fcreatetime datetime null,
	fmodifytime datetime null,
	fmasterid bigint null,
	fupdate_source varchar(100) default ' ' null,
	fbank_name varchar(100) default ' ' null,
	fbank_version varchar(50) default ' ' null,
	fcurrency varchar(10) default ' ' null,
	fbalance_date datetime null,
	fcurrent_balance decimal(23,2) null,
	favailable_balance decimal(23,2) null,
	flast_day_balance decimal(23,2) null,
	ffrozen_balance decimal(23,2) null,
	fext_system_field varchar(200) default ' ' null,
	fext_biz_field varchar(300) default ' ' null,
	fext_config_field varchar(300) default ' ' null,
	fext_field1 varchar(100) default ' ' null,
	fext_field2 varchar(100) default ' ' null,
	fext_field3 varchar(100) default ' ' null,
	fext_field4 varchar(100) default ' ' null
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_OVERSEA_BALANCE_R3')
CREATE TABLE T_AQAP_OVERSEA_BALANCE_R3
(
	FID bigint default 0 not null
		primary key,
	FRefStatus char(1) default '0' not null
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_OVERSEA_BALANCE_0') 
CREATE INDEX IDX_AQAP_OVERSEA_BALANCE_0 ON T_AQAP_OVERSEA_BALANCE (fnumber, fbalance_date);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_OVERSEA_DETAIL')
CREATE TABLE T_AQAP_OVERSEA_DETAIL
(
	FID bigint not null
		primary key,
	fnumber varchar(30) default ' ' null,
	fname varchar(50) default ' ' null,
	fcustom_id varchar(50) default ' ' not null,
	fstatus varchar(50) default ' ' not null,
	fcreatorid bigint null,
	fmodifierid bigint null,
	fenable varchar(50) default '1' not null,
	fcreatetime datetime null,
	fmodifytime datetime null,
	fmasterid bigint null,
	fpay_bank_name varchar(50) default ' ' null,
	fpay_bank_version varchar(50) default ' ' null,
	fbenefit_acc_no varchar(50) default ' ' null,
	fbenefit_acc_name varchar(50) default ' ' null,
	fbenefit_bank_name varchar(50) default ' ' null,
	fdetail_file_name varchar(50) default ' ' null,
	fdetail_type varchar(50) default ' ' null,
	fcurrency varchar(10) default ' ' null,
	ftx_amt decimal(23,2) null,
	fbalance decimal(23,2) null,
	fcord_flag varchar(50) default ' ' null,
	ftx_date datetime null,
	ftextfield varchar(50) default ' ' null,
	fbank_orderid varchar(50) default ' ' null,
	ftrans_type varchar(10) default ' ' null,
	fexplanation varchar(500) default ' ' null,
	fuse_desc varchar(500) default ' ' null,
	fmemory varchar(350) default ' ' null,
	fpayid varchar(50) default ' ' null,
	fext_system_field varchar(300) default ' ' null,
	fext_biz_field varchar(300) default ' ' null,
	fext_config_field varchar(300) default ' ' null,
	fext_field1 varchar(100) default ' ' null,
	fext_field2 varchar(100) default ' ' null,
	fext_field3 varchar(100) default ' ' null,
	fext_field4 varchar(100) default ' ' null,
	fdetail_no varchar(50) default ' ' null
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_OVERSEA_DETAIL_R3')
CREATE TABLE T_AQAP_OVERSEA_DETAIL_R3
(
	FID bigint default 0 not null
		primary key,
	FRefStatus char(1) default '0' not null
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_OVERSEA_DETAIL_0') 
CREATE INDEX IDX_AQAP_OVERSEA_DETAIL_0 ON T_AQAP_OVERSEA_DETAIL (fnumber, ftx_date);

