IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_NEW_LOG')
CREATE TABLE T_AQAP_NEW_LOG
(
    FID               BIGINT                  NOT NULL
        PRIMARY KEY,
    FNUMBER           VARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME             VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS           VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID        BIGINT                  NULL,
    FMODIFIERID       BIGINT                  NULL,
    FENABLE           VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME       DATETIME                NULL,
    FMODIFYTIME       DATETIME                NULL,
    FMASTERID         BIGINT                  NULL,
    FBD_BIZ_NAME      BIGINT                  NULL,
    FBIZ_NAME         VARCHAR(50) DEFAULT ' ' NOT NULL,
    FACCOUNT          VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_VERSION     VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_LOGIN       VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBIZ_SEQ          VARCHAR(50) DEFAULT ' ' NOT NULL,
    FLOGGER_BATCH_NO  VARCHAR(50) DEFAULT ' ' NOT NULL,
    FLOGGER_DETAIL_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FLOG_TIME         VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBD_BANK_VERSION  BIGINT                  NULL,
    FDT_QUERY         DATETIME                NULL,
    FLOGGER_BANK_NO   VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_NEW_LOG_L')
CREATE TABLE T_AQAP_NEW_LOG_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_NEW_LOG_R3')
CREATE TABLE T_AQAP_NEW_LOG_R3
(
    FID BIGINT DEFAULT 0 NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_LOG_DETAIL')
CREATE TABLE T_AQAP_LOG_DETAIL
(
    FID                         BIGINT                   NOT NULL
        PRIMARY KEY,
    FNUMBER                     VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FNAME                       VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FSTATUS                     VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID                  BIGINT                   NULL,
    FMODIFIERID                 BIGINT                   NULL,
    FENABLE                     VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATETIME                 DATETIME                 NULL,
    FMODIFYTIME                 DATETIME                 NULL,
    FMASTERID                   BIGINT                   NULL,
    FCREATETIME1                DATETIME                 NULL,
    FMODIFYTIME1                DATETIME                 NULL,
    FMODIFIER1                  BIGINT                   NULL,
    FSTATUS1                    VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FENABLE1                    VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FMASTERID1                  BIGINT                   NULL,
    FCREATOR1                   BIGINT                   NULL,
    FDISABLERID                 BIGINT                   NULL,
    FENABLERID                  BIGINT                   NULL,
    FENABLEDATE                 DATETIME                 NULL,
    FDISABLEDATE                DATETIME                 NULL,
    FCOMPANYID                  BIGINT                   NULL,
    FNAME1                      VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FOPENORGID                  BIGINT                   NULL,
    FCOMMENT                    VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FNUMBER1                    VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FTRANSTYPE                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANKINTERFACE              VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBANKINTERFACEID            VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FPAYEEACNT                  VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBD_BIZ_NAME                BIGINT                   NULL,
    FLOG_TIME                   DATETIME                 NULL,
    FACCOUNT                    VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBD_BANK_VERSION            BIGINT                   NULL,
    FLOGGER_BATCH_NO            VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FLOGGER_DETAIL_NO           VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBUSSINESS_REQUEST          VARCHAR(255) DEFAULT ' ' NOT NULL,
    FBUSSINESS_REQUEST_TAG      VARCHAR(255)                 NULL,
    FBUSSINESS_RESPONSE         VARCHAR(255) DEFAULT ' ' NOT NULL,
    FBUSSINESS_RESPONSE_TAG     VARCHAR(255)                 NULL,
    FBANK_LOG                   VARCHAR(255) DEFAULT ' ' NOT NULL,
    FBANK_LOG_TAG               VARCHAR(255)                 NULL,
    FOTHER_LOG                  VARCHAR(255) DEFAULT ' ' NOT NULL,
    FOTHER_LOG_TAG              VARCHAR(255)                 NULL,
    FBANK_VERSION               VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBIZ_NAME                   VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FBUSSINESS_REQUEST_PAY      VARCHAR(255) DEFAULT ' ' NOT NULL,
    FBUSSINESS_REQUEST_PAY_TAG  VARCHAR(255)                 NULL,
    FBUSSINESS_RESPONSE_PAY     VARCHAR(255) DEFAULT ' ' NOT NULL,
    FBUSSINESS_RESPONSE_PAY_TAG VARCHAR(255)                 NULL,
    FBANK_LOG_PAY               VARCHAR(255) DEFAULT ' ' NOT NULL,
    FBANK_LOG_PAY_TAG           VARCHAR(255)                 NULL,
    FOTHER_LOG_PAY              VARCHAR(255) DEFAULT ' ' NOT NULL,
    FOTHER_LOG_PAY_TAG          VARCHAR(255)                 NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_LOG_DETAIL_L')
CREATE TABLE T_AQAP_LOG_DETAIL_L
(
    FPKID     VARCHAR(36)             NOT NULL,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL,
    FNAME1    VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCOMMENT  VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_LOG_DETAIL_R3')
CREATE TABLE T_AQAP_LOG_DETAIL_R3
(
    FID BIGINT DEFAULT 0 NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);