IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_FINANCING')
DROP TABLE T_AQAP_BD_FINANCING;
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_FINANCING')
CREATE TABLE T_AQAP_BD_FINANCING
(
	FID BIGINT NOT NULL
		PRIMARY KEY,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT NULL,
	FMODIFIERID BIGINT NULL,
	FAUDITORID BIGINT NULL,
	FAUDITDATE DATETIME NULL,
	FMODIFYTIME DATETIME NULL,
	FCREATETIME DATETIME NULL,
	FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FVERSION BIGINT NULL,
	FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_LOGIN_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFINANCING_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FACC_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAREA_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRODUCT_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRODUCT_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
	FAMOUNT DECIMAL(23,10) NULL,
	FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRICE DECIMAL(23,10) NULL,
	FROLLDATE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FVALUE_DATE DATETIME NULL,
	FROLL_DATE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXPIRE_DATE DATETIME NULL,
	FPROFIT_AMT DECIMAL(23,10) NULL,
	FPROFIT_RATE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREDEEM_RATE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTATUS_MSG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_STATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_STATUS_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FSECURITIES_ACCNO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBATCH_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDETAIL_BIZ_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDETAIL_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FFOLL_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCSH_DRA_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED1 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED2 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED3 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED4 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESERVED5 VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBUY_BIZ_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_FINANCING_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBANK_BATCH_SEQ_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESPONSE_SERIAL_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
	FREDEEM_FLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
	FBACK_BANK_STATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSUBMIT_SUCCESS_TIME DATETIME NULL,
	FERROR_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FBACK_ERROR_MSG VARCHAR(255) DEFAULT ' ' NOT NULL,
	FREVERSED_BIZ_FIELD VARCHAR(500) DEFAULT ' ' NOT NULL,
	FREVERSED_SYS_FIELD VARCHAR(500) DEFAULT ' ' NOT NULL,
	FEBG_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSYNC_COUNT BIGINT NULL,
	FLAST_SYNC_TIME DATETIME NULL,
	constraint IDX_AQAP_FIN_UINDEX
        unique (FDETAIL_BIZ_NO, FSTATUS)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_FIN_BATCH_SEQ')
create index IDX_AQAP_FIN_BATCH_SEQ
    on T_AQAP_BD_FINANCING (FBATCH_SEQ_ID);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_FIN_ACC_INDEX')
create index IDX_AQAP_FIN_ACC_INDEX
    on T_AQAP_BD_FINANCING (FACC_NO);
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_FIN_CREATETIME_INDEX')
create index IDX_AQAP_FIN_CREATETIME_INDEX
    on T_AQAP_BD_FINANCING (FCREATETIME);







