IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_FINANC_SYNC_RECORD')
 CREATE TABLE T_AQAP_FINANC_SYNC_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSYNC_DATE DATETIME,
FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_BD_BUSINESS')
 CREATE TABLE T_AQAP_BD_BUSINESS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTEXTFIELD VARCHAR(100) DEFAULT ' ' NOT NULL,
FATTR_KEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FATTR_VALUE VARCHAR(500) DEFAULT ' ' NOT NULL,
FATTR_NAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUSINESS_TYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUSINESS_DETAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_FINANC_DETAIL')
 CREATE TABLE T_AQAP_FINANC_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBANK_VERSION_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCT_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBLISH_START_DATE DATETIME,
FPUBLISH_END_DATE DATETIME,
FBUY_PRICE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEM_MAX VARCHAR(50) DEFAULT ' ' NOT NULL,
FREDEEM_MIN VARCHAR(50) DEFAULT ' ' NOT NULL,
FRISK_LEV VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESERVED1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESERVED2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESERVED3 VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESERVED4 VARCHAR(50) DEFAULT ' ' NOT NULL,
FRESERVED5 VARCHAR(50) DEFAULT ' ' NOT NULL
);


 EXEC P_ALTERPK 'PK_T_AQAP_FINANC_SYNC_RECORD', 'T_AQAP_FINANC_SYNC_RECORD', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINANC_SYNC_RECORD') CREATE  CLUSTERED INDEX IDX_FINANC_SYNC_RECORD ON T_AQAP_FINANC_SYNC_RECORD ( FBANK_VERSION_ID ,FSYNC_DATE );

  EXEC P_ALTERPK 'PK_T_AQAP_BD_BUSINESS', 'T_AQAP_BD_BUSINESS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_BUSINESS') CREATE  CLUSTERED INDEX IDX_BD_BUSINESS ON T_AQAP_BD_BUSINESS ( FATTR_KEY );


 EXEC P_ALTERPK 'PK_T_AQAP_FINANC_DETAIL', 'T_AQAP_FINANC_DETAIL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FINANC_DETAIL') CREATE  CLUSTERED INDEX IDX_FINANC_DETAIL ON T_AQAP_FINANC_DETAIL ( FBILLNO );