IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_DETAIL_COMPLETION')
 CREATE TABLE T_AQAP_DETAIL_COMPLETION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FACC_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOM_ID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAIL_COUNT BIGINT DEFAULT 0 NOT NULL,
FSYNC_DATE DATETIME,
FENABLE BIGINT DEFAULT 0 NOT NULL,
FSYNC_COUNT BIGINT DEFAULT 0 NOT NULL,
FCURRENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPENSATION_COUNT BIGINT DEFAULT 0 NOT NULL,
FIS_COMPLETED VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK_VERSION BIGINT DEFAULT 0 NOT NULL,
FBANK_ACNT BIGINT DEFAULT 0 NOT NULL,
FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);
 EXEC P_ALTERPK 'PK_T_AQAP_DETAIL_COMPLETION', 'T_AQAP_DETAIL_COMPLETION', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DETAIL_COMPLETION') CREATE  CLUSTERED INDEX IDX_DETAIL_COMPLETION ON T_AQAP_DETAIL_COMPLETION ( FBILLNO );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AQAP_DETAIL_SYNC_RECORD' AND KSQL_COL_NAME='FCOMPENSATION_COUNT')
ALTER TABLE T_AQAP_DETAIL_SYNC_RECORD ADD (FCOMPENSATION_COUNT BIGINT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AQAP_DETAIL_SYNC_RECORD' AND KSQL_COL_NAME='FIS_COMPLETED')
ALTER TABLE T_AQAP_DETAIL_SYNC_RECORD ADD (FIS_COMPLETED BIGINT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AQAP_DETAIL_SYNC_RECORD' AND KSQL_COL_NAME='FBANK_NAME')
ALTER TABLE T_AQAP_DETAIL_SYNC_RECORD ADD (FBANK_NAME VARCHAR(50) DEFAULT ' ' NOT NULL);

-- 历史有记录的都是完整的
UPDATE T_AQAP_DETAIL_SYNC_RECORD SET FIS_COMPLETED = 0 WHERE FIS_COMPLETED IS NULL;